package com.fs.wx.sop.service;

import com.fs.common.core.domain.R;
import com.fs.wx.sop.domain.WxSop;

/**
 * 个微SOP执行服务接口
 *
 * @author fs
 * @date 2025-03-12
 */
public interface IWxSopExecuteService {
    /**
     * 根据标签筛选客户并创建营期
     *
     * @param wxSop 个微SOP
     * @return 结果
     */
    R processTagFilterWxSop(WxSop wxSop);

    /**
     * 根据群聊筛选客户并创建营期
     *
     * @param wxSop 个微SOP
     * @return 结果
     */
    R processGroupFilterWxSop(WxSop wxSop);

    /**
     * 为客户创建营期记录
     *
     * @param wxSop 个微SOP
     * @return 结果
     */
    R createSopUserLogsWx(WxSop wxSop);

    /**
     * 处理客户标签变更
     *
     */
    void processCustomerTagsChange(Long customerId);
}